Package com.sun.jna

# Interface SymbolProvider

public interface SymbolProvider
Interface to define a custom symbol provider. This can be used for method hooking, or special classes like direct mapping the Win32 OpenGL.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getSymbolAddress(long handle, String name, SymbolProvider parent)`
  Gets the address of a symbol by its name and the handle of the library.

- ## Method Details

  - ### getSymbolAddress

    long getSymbolAddress(long handle, String name, SymbolProvider parent)
    Gets the address of a symbol by its name and the handle of the library.
    Parameters:
      `handle` - Handle of the original library
      `name` - Name of the symbol to load
      `parent` - Parent symbol provider
    Returns:
      Address of the symbol, typically a function.